none
IF I am running 3.5 on IIS RRS feed

  • Question

  •  

    Says 2.0.50727 on the IIS dropdown asp.net but I dont know if that is 3.5 or not

     

     

    This may be complicated because I am running Windows XP 64 bit

    Friday, February 15, 2008 12:39 PM

Answers

  • What are you trying to do?

     

    %windir%\Microsoft.NET\Framework64\v2.0.50727 is the location of the core CLR.  That is where IIS is picking up that 2.0.50727 version number.  Even with .NET 3.5 installed,I would expect that 2.0.50727 location.  .NET 3.5 and 2.0 are really more of a complimentary system rather than exist mutually exclusive on your system.

     

    What is it you are trying to do with the .NET 3.5 libraries? 

     

    Friday, February 15, 2008 11:39 PM
  • See: http://forums.iis.net/p/1133618/1860351.aspx:

    "As for ASP.NET 3.5, it is still based on the ASP.NET 2.0 core fundamental.
    Therefore, there is no new application type(for ASP.NET 3.5) in IIS, still
    use the 2.0 one. And when you developing ASP.NET 3.5 application(which use
    those 3.5 specific features such as AJAX or LINQ), VS 2008 will help you
    add the proper assemblies reference in project and those assemblies are the
    most imporant things to help you deal with 3.5 stuffs. And when deploy to
    IIS, you still use 2.0 version tab to configure it"

     

    Thanks

    Monday, February 18, 2008 3:53 AM

All replies

  • What are you trying to do?

     

    %windir%\Microsoft.NET\Framework64\v2.0.50727 is the location of the core CLR.  That is where IIS is picking up that 2.0.50727 version number.  Even with .NET 3.5 installed,I would expect that 2.0.50727 location.  .NET 3.5 and 2.0 are really more of a complimentary system rather than exist mutually exclusive on your system.

     

    What is it you are trying to do with the .NET 3.5 libraries? 

     

    Friday, February 15, 2008 11:39 PM
  • See: http://forums.iis.net/p/1133618/1860351.aspx:

    "As for ASP.NET 3.5, it is still based on the ASP.NET 2.0 core fundamental.
    Therefore, there is no new application type(for ASP.NET 3.5) in IIS, still
    use the 2.0 one. And when you developing ASP.NET 3.5 application(which use
    those 3.5 specific features such as AJAX or LINQ), VS 2008 will help you
    add the proper assemblies reference in project and those assemblies are the
    most imporant things to help you deal with 3.5 stuffs. And when deploy to
    IIS, you still use 2.0 version tab to configure it"

     

    Thanks

    Monday, February 18, 2008 3:53 AM
  • I have  in %windir%\microsoft.net\framework64

    v1.0.3705

    v.1.0.4322

    v.2.0.50727

    v.3.0

    v.3.5

     

     

    I am setting up a website on iis.  I created the website using 3.5 and was trying to set the correct asp.net version for

     

    the website.

     

     

    I gather from what you are saying v2.0.50727 is the correct one.

    Monday, February 18, 2008 11:28 AM
  • I just ran into the exact same issue. Thanks for the help!
    Tuesday, February 19, 2008 9:20 PM